%define oname ppx_tools
Name:           ocaml-%{oname}
Version:        6.1
Release:        %mkrel 3
Summary:        Tools for authors of ppx rewriters and other syntactic tools
License:        MIT
Group:          Development/OCaml
URL:            https://github.com/alainfrisch/ppx_tools
Source0:        https://github.com/ocaml-ppx/ppx_tools/archive/%{version}+4.10.0.tar.gz
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-findlib
BuildRequires:  opam

%description
Tools for authors of syntactic tools (such as ppx rewriters).

This package is licensed by LexiFi under the terms of the MIT license.

The tools are installed as a findlib package called 'ppx_tools'.
Executables are thus accessible through the ocamlfind driver 
(e.g.: ocamlfind ppx_tools/dumpast).

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n ppx_tools-%{version}-4.10.0
%autopatch -p1

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%files
%license LICENSE
%doc README.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%{_libdir}/ocaml/%{oname}/*/*.cmi
%{_libdir}/ocaml/%{oname}/*/*.cma
%{_libdir}/ocaml/%{oname}/*/*.a
%{_libdir}/ocaml/%{oname}/*/*.cmxa
%{_libdir}/ocaml/%{oname}/*/*.cmxs
%{_libdir}/ocaml/%{oname}/dumpast
%{_libdir}/ocaml/%{oname}/genlifter
%{_libdir}/ocaml/%{oname}/ppx_metaquot
%{_libdir}/ocaml/%{oname}/rewriter
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/dune-package
%{_libdir}/ocaml/%{oname}/*/ppx.exe

%files devel
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.cmt*
%{_libdir}/ocaml/%{oname}/*.ml
%{_libdir}/ocaml/%{oname}/*.mli
%{_libdir}/ocaml/%{oname}/*/*.cmx
%{_libdir}/ocaml/%{oname}/*/*.cmt*
%{_libdir}/ocaml/%{oname}/*/*.ml


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 6.1-3.mga8
+ Revision: 1670473
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 6.1-2.mga8
+ Revision: 1551494
- Rebuild for ocaml 4.10.0 final

* Wed Feb 26 2020 pterjan <pterjan> 6.1-1.mga8
+ Revision: 1550814
- Update to 6.1
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Oct 23 2018 tv <tv> 5.1-4.mga7
+ Revision: 1324060
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 5.1-3.mga7
+ Revision: 1323775
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 5.1-2.mga7
+ Revision: 1299917
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 tv <tv> 5.1-1.mga7
+ Revision: 1179878
- new release
- new site
- rebuild for new ocaml

* Fri Oct 06 2017 daviddavid <daviddavid> 0.99.3-2.mga7
+ Revision: 1169663
- patch0: enable debugging information thus fixing empty debugsourcefiles.list

* Sun Feb 14 2016 pterjan <pterjan> 0.99.3-1.mga6
+ Revision: 960126
- imported package ocaml-ppx_tools

